using PSO2SERVER.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PSO2SERVER.Protocol.Packets
{
    public class Unk230EPacket : Packet
    {
        public struct Unk230EThing
        {
            public ushort unk1;
            public ushort unk2;
            public uint unk3;
            public ObjectHeader unk4;
        }

        public List<Unk230EThing> unk = new List<Unk230EThing>();

        public Unk230EPacket()
        {
        }

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            var pkt = new PacketWriter();
            pkt.WriteMagic((uint)unk.Count, 0xAC40, 0x99);

            foreach (var entry in unk)
                pkt.WriteStruct(entry);

            return pkt.ToArray();
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x23, 0x0E, PacketFlags.None);
        }

        #endregion
    }
}